import type { SCRTDoubleVector } from "../../../types/TSciChart";
import { EDataSeriesType } from "../IDataSeries";
import type { XyzDataSeries } from "../XyzDataSeries";
import { BasePointSeriesWrapped } from "./BasePointSeriesWrapped";
import type { IXyzPointSeries } from "./IPointSeries";
export declare class XyzPointSeriesWrapped extends BasePointSeriesWrapped implements IXyzPointSeries {
    readonly type: EDataSeriesType;
    constructor(dataSeries: XyzDataSeries);
    get zValues(): SCRTDoubleVector;
    getYValues(i?: number): SCRTDoubleVector;
}
